import { Api } from './api';
import { TypedEmitter, type TypedEvents } from '@ztimson/utils';
export type PdfTemplate = {
    template: string;
    data: any;
};
export type PdfEvents = TypedEvents & {
    CREATE: (pdf: Blob) => any;
};
export declare class Pdf extends TypedEmitter<PdfEvents> {
    private readonly api;
    constructor(api: Api | string);
    private handleResponse;
    generate(content: string | PdfTemplate, opts?: {
        download?: boolean;
        'fileName'?: string;
    }): Promise<Blob>;
    fromUrl(url: string, opts?: {
        download?: boolean;
        'fileName'?: string;
    }): Promise<Blob>;
}
//# sourceMappingURL=pdf.d.ts.map